<?php

include("../bd/sql_variables.php");

$db_conexion= mysql_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("No Disponible Servidor de Base de Datos"));
mysql_select_db("$sql_db");


function llamartipopersonal($idj, $ids){

//seleccionando al combo tipo de personal
$sqltpersonal = "select a.tp_id as cod, (select tp_desc from tb_tipoperson where tp_id=a.tp_id) as descripcion from tb_areatipopersona a where a.j_id='$idj' and a.s_id='$ids'";
//echo $sqltpersonal;
$resulttpersonal = mysql_query($sqltpersonal);
//$cadenatp="<select id='tipopersonal' name='tipopersonal'>";
$cadenatp = "<option value='0'>TODOS</option>";
while ($rowtp= mysql_fetch_array($resulttpersonal)){
$cadenatp=$cadenatp."<option value='".$rowtp['cod']."'";
if($idtp==$rowtp['cod']){
$cadenatp=$cadenatp." selected ";
}
$cadenatp=$cadenatp." >".$rowtp['descripcion']."</option>";
}
$cadenatp=$cadenatp."</select>";

echo $cadenatp;
}

function llamartipoespecialidad($idj, $ids){
//seleccionando al comnbo especialidad
$sqlespecialidad = "select a.ua_idespec as cod, (select esp_desc from tb_especialidad where ua_idespec=a.ua_idespec) as descripcion from tb_areaespecialidad a where a.j_id='$idj' and a.s_id='$ids'";
//echo $sqlespecialidad;
$resultespecialidad = mysql_query($sqlespecialidad);
$cadenaesp = "<option value='0'>TODOS</option>";
//$cadenaesp="<select id='especialidad' name='especialidad'>";
while ($rowe= mysql_fetch_array($resultespecialidad)){
$cadenaesp=$cadenaesp."<option value='".$rowe['cod']."'";
if($idesp==$rowe['cod']){
$cadenaesp=$cadenaesp." selected ";
}
$cadenaesp=$cadenaesp.">".$rowe['descripcion']."</option>";
}
$cadenaesp=$cadenaesp."</select>";

echo $cadenaesp;
}

function llamarlistadoper($idj, $ids){
//construytento listado
$sqllistado = "select a.ug_id as cod, a.ua_apepat as apepat, a.ua_apemat as apemat, a.ua_nom as nombre ";
$sqllistado = $sqllistado." from tb_usuasist a inner join tb_usudep b on ";
$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids' and (a.ua_estado= 1 or a.ua_estado= 2) order by apepat, apemat, nombre";
//$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids' and b.tp_id=1 and a.ua_idespec='2'";
//echo $sqllistado;
$resultlistado = mysql_query($sqllistado);
$sumap=0;
while ($rowl= mysql_fetch_array($resultlistado)){
$codigo=$rowl['cod'];
$apepat=$rowl['apepat'];
$apemat=$rowl['apemat'];
$nombre=$rowl['nombre'];
$letranom=substr($nombre, 0, 2);
$letraapemat=substr($apemat, 0, 2);
$nombrefijo= $letranom.". ".$apepat." ".$letraapemat.".";
$cadenalis=$cadenalis."<option value='".$codigo."' ";
$sumap=$sumap+1;
if($sumap==1){
$cadenalis=$cadenalis." selected ";
if($rowl['cod']!=''){
$primercodigo=$rowl['cod'];
}
}
$cadenalis=$cadenalis.">".$nombrefijo."</option>";

}
$cadenalis=$cadenalis."</select>";

echo $cadenalis;
}


?>